<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

    <module name="qvm" package="com.axelor.apps.qvm.db"/>

    <entity name="QvmOperationType">
        <string name="fullName" namecolumn="true">
            <![CDATA[

            if(fullName == null){
                return name+" "+stockUnity;
            }else{
                return fullName;
            }
	  	]]>
        </string>
        <string name="name" title="Qvm Operation Type" required="true"/>
        <!--<many-to-one name="parent" ref="com.axelor.apps.qvm.db.MachineLocation" title="parent"/>-->
        <integer name="stockUnity" selection="operation.parent.location.select" default="0"/>
        <integer name="orderByState"/>
        <one-to-many name="operationList" ref="com.axelor.apps.qvm.db.QvmOperation" mappedBy="operationType" title="Operations" />
        <integer name="typeSelect"/>
    </entity>

</domain-models>
